A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
isLinear
ArrayFire Functions by Category » Functions to work with internal array layout

## Functions
AFAPI bool | isLinear (const array &in)
AFAPI af_err | af_is_linear (bool *result, const af_array arr)

## Detailed Description

Check if all elements in array are contiguous.

## Function Documentation

## ◆ af_is_linear()

AFAPI af_err af_is_linear | ( | bool * | result,
|  | const af_array | arr )

Parameters

  [in] | arr | An multi dimensional array.
  [out] | result | a boolean specifying if all elements in the array are contiguous.

## ◆ isLinear()

AFAPI bool isLinear | ( | const array & | in | ) |

Parameters

  [in] | in | An multi dimensional array.

Returns
  a boolean specifying if all elements in the array are contiguous.